Bug 236238 (CVE-2007-2348) - CVE-2007-2348 lftp mirror --script does not escape names and targets of symbolic links
Summary: CVE-2007-2348 lftp mirror --script does not escape names and targets of symbo...
Status: CLOSED WONTFIX
Alias: CVE-2007-2348
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://lftp.yar.ru/news.html
Whiteboard: public=20070109,reported=20070405,sou...
Keywords: Security
Depends On: 239334
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 16:45 UTC by Red Hat Product Security
Modified: 2018-08-15 21:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 18:46:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1278 normal SHIPPED_LIVE Low: lftp security and bug fix update 2009-09-01 09:46:46 UTC

Description Lubomir Kundrak 2007-04-12 16:45:54 UTC
Description of problem:

Does not escape names of symlinks when producing a script to be
passed to the shell, which could be abused by an attacked to
trick the user into executing arbitrary code with crafted symbolic
link.

Version-Release number of selected component (if applicable):

        Doesn't Affect: RHEL2.1 no support for --script
        Doesn't Affect: RHEL3 ditto
        Affects: RHEL4
        Affects: RHEL5
        Affects: FC5
        Affects: FC6

Steps to Reproduce:
1. ln -s '$(touch /tmp/gotya; echo kwak)' malicious
2. serve that file via ftp and attempt to download it with lftp via mirror --script
3. Try to run the resulting script with lftp -f
  
Actual results:

The downloaded file will point to "kwak", while file /tmp/gotya will be
created.

Additional info:

The security implications are questionable, as is the usefullness of the
--script feature itself.

Comment 4 errata-xmlrpc 2009-09-02 09:37:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1278 https://rhn.redhat.com/errata/RHSA-2009-1278.html

Comment 5 errata-xmlrpc 2009-09-02 12:09:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1278 https://rhn.redhat.com/errata/RHSA-2009-1278.html

Comment 6 Red Hat Bugzilla 2009-10-23 19:03:34 UTC
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Comment 7 Josh Bressers 2011-08-01 18:18:22 UTC
Statement:

This issue does not affect lftp as supplied with Red Hat Enterprise Linux 3.

This issue was addressed for Red Hat Enterprise Linux 5 by
https://rhn.redhat.com/errata/RHSA-2009-1278.html

The Red Hat Security Response Team has rated this issue as having low security impact, this issue will not fixed in Red Hat Enterprise Linux 4.


Note You need to log in before you can comment on or make changes to this bug.